angular.module('starter.filters', [])

.filter('newsContent', function($sce){
    return function(input){
        // console.log(input);
        input = input.replace(/\n/g, "<br/>");
        input = input.replace(/(<br\s*\/?>){2,}/gi, '<br>');
        input = input.replace(/\<br\>/g,'<br><br>');
    	 return $sce.trustAsHtml(input);
    }
})

.filter('newsContentWithoutFeatureImage', function($sce){
    return function(input,image){
        if (input.indexOf(image) != -1) {
            return true;
        } else {
            return false;
        }
    }
})

.filter('trustedVideoURL', function($sce){
    return function(input) {
        return $sce.trustAsResourceUrl(input);
    }
})

.filter('imageNewsDesc', function(){
    
    return function (input){
        
        if (input == "img/newsplaceholder.png"){
            return '';
        }else{
            return input;
        }
    }
})

.filter("onlyMatchDateFilter", function(){
    
    return function(input){
         
        // var date=new Date(input);
 		var mydate= moment(input).format("dddd D MMM gggg");
		
        return mydate;
    }
})

.filter("onlyMatchTimeFilter", function(){
    
    return function(input){
         
        // var date=new Date(input);
 		var mydate= moment(input).format("HH:mm");
		
        return mydate;
    }
})


.filter("rssDateFilter", function(){
    
    return function(input){
        if(moment.lang() == "en"){
            var mydate= moment(input).format("D MMM gggg [at] h:mm A");
        } else{
            var mydate= moment(input).format("D MMM gggg [at] H:mm");
        }
 		
        return mydate;
    }
})

.filter("rssDateFromNowFilter", function(){
    return function(input){
        
        // var date=new Date(input);
        var a = moment();
        var b = moment(input);
        var t = a.diff(b, 'days') // 1
        // console.log("difference-"+t);
        if(t == 0){
 		    var mydate= moment(input).fromNow();
        }else{
 		    var mydate= moment(input).format("D MMM gggg");
        }
        return mydate;
    }
})

.filter("onlyDateFilter", function(){
    
    return function(input){
         
        var date=new Date(input);
 		var mydate= moment(input).format("D MMM gggg");
		
        return mydate;
    }
})

.filter('is_match_live', function(){
    
    return function(input, timeUTC){
        var d = new Date()
        var n = d.getTimezoneOffset();
        //console.log(input);
        //console.log(timeUTC);
        var match_date= moment(timeUTC).valueOf() - (n*60*1000);
        var now= moment().valueOf();
        if(match_date - 60 * 1000 * 30 < now  && match_date + 60 * 1000 * 60 * 2.4 > now){
            return "Live";
        }else{
            var mydate="";
            //var date=new Date(input);
     		var secondPart= moment(input).format("H:mm - dddd D MMM gggg");
    		mydate+= secondPart;
            return mydate;
        }
    }
})
.filter('is_match_upcoming', function(){
    return function(input){
        
         var d = new Date()
        var n = d.getTimezoneOffset();
        //console.log(n);
        var match_date= moment(input).valueOf() - (n*60*1000);
        var now= moment().valueOf();
        
        if(match_date - 60 * 1000 * 30 > now ){
            return true;
        }else{
            return false;
        }
            
    }
})

.filter("MatchDateFilter", function(){
    return function(input){
        var mydate="";
        var date=new Date(input);
 		var secondPart= moment(input).format("HH:mm - dddd D MMM gggg");
		mydate+= secondPart;
        return mydate;
    }
})

.filter('capitalize', function() {
    return function(input, all) {
      var words = (!!input) ? input.replace(/([^\W_]+[^\s-]*) */g, function(txt){return txt.charAt(0).toUpperCase() + txt.substr(1).toLowerCase();}) : '';
      return words.replace("Fc","FC");
    }
})

.filter('player_short_name', function() {
    return function(input, all) {
        var name =input.split(" ");
        name[0] = name[0].charAt(0)+".";
        input = name.join(' ');
        return (!!input) ? input.replace(/([^\W_]+[^\s-]*) */g, function(txt){return txt.charAt(0).toUpperCase() + txt.substr(1).toLowerCase();}) : '';
    }
})

.filter('imageLinkConstruct', function(){
    
    return function (input,size){
        
        if(input != undefined){
            
            var inputWithoutHyphens= input.replace(/-/g ,"");
            if(size =="50"){
                var linkToReturn= 'https://www.youfoot.com/media/images/'+input+"/"+inputWithoutHyphens+"crop_h50w50.png";
               // console.log(linkToReturn);
                return linkToReturn;
            }
            if(size=="200"){
               var linkToReturn= 'https://www.youfoot.com/media/images/'+input+"/"+inputWithoutHyphens+"crop_h200w200.png";
               return linkToReturn;
            }
        }else{
            return 'img/squad_placeholder.jpg';
        }
    }
})

.filter("minutesFilter", function(){
    return function(input){
        
       if(input.type=="AdditionalTime" || input.type=="Conclusion"){
           return "";
       }else if (input.additional_time == "no"){
           
         return input.minutes+ "'";
       }else if(input.additional_time =="yes"){
           var splitted= input.second.split("+");
           var seconds= splitted[1];
           var time= splitted[0] /60;
           var additional= Math.floor(parseInt(seconds) / 60) +1;
           return time+"+"+additional+"'";
       }
    }
})

// .filter('goal_count', function(){
//     return function(value, value_post, value_crossbar){
//         // if(value)
//         return value
//     }    
// })

.filter("reverse", function(){
    
    return function(input){
        
        return input.slice().reverse();
    }
})
.filter('logoTeamLinkConstruct', function(){
    
    return function (input,size){
    //console.log(input);
        if(input != undefined){
            if(size == undefined || size =="50"){
                var inputWithoutHyphens= input.replace(/-/g ,"");
            //console.log(inputWithoutHyphens);
                var linkToReturn= 'https://www.youfoot.com/media/images/'+input+"/"+inputWithoutHyphens+"crop_h50w50.png";
                return linkToReturn;
            }else if(size=="25"){
                var inputWithoutHyphens= input.replace(/-/g ,"");
            //console.log(inputWithoutHyphens);
                var linkToReturn= 'https://www.youfoot.com/media/images/'+input+"/"+inputWithoutHyphens+"crop_h25w25.png";
                return linkToReturn; 
            }else if(size=="75"){
                 var inputWithoutHyphens= input.replace(/-/g ,"");
            //console.log(inputWithoutHyphens);
                var linkToReturn= 'https://www.youfoot.com/media/images/'+input+"/"+inputWithoutHyphens+"crop_h75w75.png";
                return linkToReturn;
            }
        }else{
            return 'http://www.youfoot.com/img/content/team_placeholder.png';
        }
    }
})
.filter('changeImageResolution', function(){
    return function(input) {
        input=input.replace('crop_h25w25','crop_h50w50');
        return input;
    }
})
.filter("videoNumberFilter", function(){
    
    return function(input){
        if(input == undefined){
            return 0;
        }else{
            return Object.keys(input).length;
        }
    }
})


.filter("thumbnailConstruct", function(){
    
    return function(input, media){
        if(media == "dailymotion"){
        
          var m = input.match(/^.+dailymotion.com\/(video|hub)\/([^_]+)[^#]*(#video=([^_&]+))?/);
           if (m !== null) {
             if(m[4] !== undefined) {
                 return "https://www.dailymotion.com/thumbnail/video/"+m[4];
               //return "https://api.dailymotion.com/video/"+m[4]+"?fields=thumbnail_medium_url";
             }
             return "https://www.dailymotion.com/thumbnail/video/"+m[2];
             //return "https://api.dailymotion.com/video/"+m[2]+"?fields=thumbnail_medium_url";
           }else{
              return null; 
           }
          
       }else if(media== "youtube"){
           var regExp = /^.*(youtu.be\/|v\/|u\/\w\/|embed\/|watch\?v=|\&v=)([^#\&\?]*).*/;
           var match = input.match(regExp);
            if (match && match[2].length == 11) {
               return "https://i.ytimg.com/vi/"+match[2]+"/hqdefault.jpg";
            } else {
               return null;
            }
       }
    }
})

.filter("heightDataFilter", function(){
    
    return function(input){
       
        if(input == "unknown"){
            return infoNotAvailableWord;
        }else if (input== "0"){
            return infoNotAvailableWord;
        }else {
            var string= input.substring(0,1);
            string+= ",";
            string+= input.substring(1,3);
            string+= "m";
            return string;
        }
    }
})

.filter("weightDataFilter", function(){
    
    return function(input){
        if(input == "unknown"){
            return infoNotAvailableWord;
        }else if (input== "0"){
            return infoNotAvailableWord;
        }else {
            return input+"kg";
        }
    }
})

.filter("birthdateFilter", function(){
    
    return function(input){
        if(input == "unknown"){
            return "n/a";
        }
        var year= input.substring(0,4);
        var month= input.substring(5,7);
        var day= input.substring(8,10);
        
        return day+"-"+month+"-"+year;
    }
})

.filter("matchesPlayedFilter", function(){
    
    return function(input){
        return input.starting_matches+ input.substitutions;
    }
})
.filter("jerseyFilter", function(){
    return function(input){
        if(input == undefined || input == '0'){
            return "-";
        }else{
            return input;
        }
    }
})

.filter("minutesPlayedFilter", function(){
    
    return function(input){
        return input.additional+ input.normal;
    }
})

.filter("goalsFilter", function(){
    
    return function(input){
        if(angular.isArray(input)){
            if(input.length == 0){
                return 0;
            }
        }else{
            return input.direct_goal;
        }
    }
})

.filter("covertToHTML",function($sce){
    return function(input){
        return $sce.trustAsHtml(input);
        // return wrapper.firstChild;
    }
})

.filter("share_text",function($sce){
    return function(input){
        var str = $sce.trustAsHtml(input.replace(/'/g, "\\'"));
        return str;
        // return wrapper.firstChild;
    }
})

.filter("yearFilter", function(){
    
    return function(input){
        if(input == "unknown"){
            return "";
        }else{
            return input.substring(5,7)+"/"+input.substring(0,4);
        }
    }
})

;