/* Here is the constructor of the language object which will be used to translate all words within the application

   @param: lang (String)
   @return: Language Object
*/
var pullToRefreshText;

var loadingWord;
var notConnectedWord;
var infoNotAvailableWord;
var back_Word;
var finishedWord;

var matchNotCommentedWord;
var playerWord;
var videosWord;

var goalKeepersWord;
var goalKeeperWord;
var defendersWord;
var defenderWord;
var midfieldsWord;
var midfieldWord;
var offensesWord;
var offenseWord;
var unknownPositionWord;
var staffWord;

var playerInfosWord;
var careerWord;
var birthdateWord;
var weightWord;
var heightWord;
var matchesPlayedWord;
var minutesPlayedWord;
var goalsScoredWord;
var assistsWord;

var watchWord;

var stats_goals;
var stats_goal;
var stats_shots ;
var stats_on_target ;
var stats_saved;
var stats_freekick ;
var stats_corner;
var stats_penaltykicks ;
var stats_offside ;
var stats_yellowcard ;
var stats_redcard ;
var stats_substitution ;
var stats_shooting_title ;
var stats_scoring_title ;
var stats_attendance;
var stats_shots_wide_of ;
var stats_shot_wide_of ;
var stats_shots_on_target;
var stats_shot_on_target;

var ISL_team ;
var ISL_name ;
var ISL_matches_played ;
var ISL_matches_won ;
var ISL_matches_drawn ;
var ISL_matches_lost;
var ISL_goals_for_team ;
var ISL_goals_against_team ;
var ISL_goal_difference;
var ISL_points ;


var voteWord;
var skipWord;
var allVotedMsg;
var thanksRatingMsg;
var ViewRatingBtn;
var missingPlayerMsg;
var rateRestSquadMsg;
var topRatedMatchMsg;
var BestPlayerSeasonMsg;

var NotifiMsg;
var topNewsMsg;
var matchesWord;
var highlightsWord;
var goalsOnlyWord;
var noneWord;
var menuWord;

var rankingWord;
var topScorersWord;
var topAssistsWord ;

var connectionErrorWord;
var unknownPlayerWord;
var livefanzoneMsg;
var alreadyVotedMsg;
var NoPlayerDataMsg;
var votingEndMsg;
var serverIssueMsg;
var mvpWord;
var noPlayersRatingMatchMsg;
var noPlayersRatingSeasonMsg;
var vsWord;
var ratePlayersWord;
var topRatedForWord;
var playersWord;
var ratingWord;
var mostValuablePlayer;
var votesWord;
var selectATeamToWord;
var sharenewsword;


function Language(lang){
    if(lang == null || lang == "") lang="en";
    switch (lang){
        case "en":
            this.pullToRefreshText= "Pull to refresh...";
            this.loadingWord= "Loading";
            this.notConnectedWord= "No internet connection. Loading from stored data.";
            this.infoNotAvailableWord= "n/a";
            this.back_Word = "Back";
            this.finishedWord= "FM";
            this.matchNotCommentedWord= "Match not commented yet";
            this.playerWord= "PLAYER";
            this.videosWord= "VIDEOS";
            this.goalKeepersWord="Goalkeepers";
            this.goalKeeperWord="Goalkeeper";
            this.defendersWord="Defenders";
            this.defenderWord= "Defender";
            this.midfieldsWord= "Midfielders";
            this.midfieldWord= "Midfielder";
            this.offensesWord= "Forwards";
            this.offenseWord= "Forward";
            this.unknownPositionWord= "Position n/a";
            this.staffWord= "Staff";
            
            this.playerInfosWord= "Information";
            this.careerWord=  "Career";
            this.birthdateWord= "Birthdate :";
            this.weightWord= "Weight :";
            this.heightWord="Height :";
            this.matchesPlayedWord= "Matches played :";
            this.minutesPlayedWord= "Minutes played :";
            this.goalsScoredWord= "Goals scored :";
            this.assistsWord= "Assists :";
            this.watchWord= "Watch";
            this.stats_goals = "GOALS";
            this.stats_shots = "SHOTS";
            this.stats_on_target = "SHOTS ON TARGET";
            this.stats_saved = "SAVED";
            this.stats_freekick = "FREEKICK";
            this.stats_corner = "CORNER";
            this.stats_penaltykicks = "PENALTY KICKS";
            this.stats_offside = "OFFSIDE";
            this.stats_yellowcard = "YELLOWCARD";
            this.stats_redcard = "REDCARD";
            this.stats_substitution = "SUBSTITUTION";
            this.stats_shooting_title = "Shooting Positions";
            this.stats_scoring_title = "Scoring Zone";
            this.stats_attendance = "Attendance";
            
            this.stats_shots_wide_of ="Shots wide of the goal";
            this.stats_shot_wide_of ="Shot wide of the goal";
            this.stats_shots_on_target = "Shots on target";
            this.stats_shot_on_target = "Shot on target";
            this.ISL_team="Team";
            this.ISL_name="Player";
            this.ISL_matches_played = "Pld";
            this.ISL_matches_won = "W";
            this.ISL_matches_drawn = "D";
            this.ISL_matches_lost = "L";
            this.ISL_goals_for_team = "GF";
            this.ISL_goals_against_team = "GA";
            this.ISL_goal_difference = "GD";
            this.ISL_points = "Pts";
            this.voteWord="Vote";
            this.skipWord="SKIP";
            this.allVotedMsg="You voted all the playes in this team.";
            this.thanksRatingMsg = "THANKS FOR RATING!";
            this.ViewRatingBtn = "VIEW RATINGS";
            this.missingPlayerMsg = "MISSING PLAYERS?";
            this.rateRestSquadMsg = "RATE THE REST OF THE SQUAD";
            this.topRatedMatchMsg = "TOP RATED FOR THIS MATCH";
            this.BestPlayerSeasonMsg = "FAN FAVOURITE"; //"BEST PLAYERS OF THE SEASON";
            
            this.NotifiMsg= "Receive notifications for:";
            this.topNewsMsg="Top News";
            this.matchesWord="Matches";
            this.highlightsWord="Highlights";
            this.goalsOnlyWord="Goals only";
            this.noneWord= "None";
            this.menuWord= "Menu";

            this.rankingWord= "RANKING";
            this.topScorersWord="SCORERS";
            this.topAssistsWord="ASSISTS" ;
            
            
            //new
            this.connectionErrorWord= "No internet connection";
            this.unknownPlayerWord  = "unknown player";
            this.livefanzoneMsg = "Match is live. You can vote after match finished.";
            this.alreadyVotedMsg = "User had voted all the players of this match";
            this.NoPlayerDataMsg="The lineups are not availables for this match";
            this.votingEndMsg = "Voting ended for this match";
            this.serverIssueMsg="Server cannot process request at this time, try again later";
            
            this.mvpWord = "FAN FAVOURITE";
            this.noPlayersRatingMatchMsg= "No players rating available for this match.";
            this.noPlayersRatingSeasonMsg= "No players rating available for this Season.";
            this.stats_goal = "GOAL";
            this.vsWord = "VS";
            
            this.selectATeamToWord = "SELECT A TEAM TO";
            this.ratePlayersWord ="RATE THE PLAYERS";
            this.topRatedForWord = "FAN’S PICK";
            this.playersWord= "Players";
            this.ratingWord = "Rating";
            this.mostValuablePlayer = "MOST VALUABLE PLAYER";
            this.votesWord = "VOTES";
            this.sharenewsword = "Share";
            break;
            
        case "es":
             this.pullToRefreshText= "Tirón para refrescar...";
            this.loadingWord= "Cargando";
            this.notConnectedWord= "Ninguna conexión de Internet. Carga de datos almacenados.";
            this.infoNotAvailableWord= "n/d";
            this.back_Word = "Anterior";
            this.finishedWord= "Terminado";
            this.matchNotCommentedWord= "El partido no comentó aún";
            this.playerWord= "JUGADOR";
            this.videosWord= "VIDEOS";
            this.goalKeepersWord="Porteros";
            this.goalKeeperWord="Portero";
            this.defendersWord="Defensas";
            this.defenderWord= "Defensa";
            this.midfieldsWord= "Centrocampistas";
            this.midfieldWord= "Centrocampista";
            this.offensesWord= "Delanteros";
            this.offenseWord= "Delantero";
            this.unknownPositionWord= "Posicìon n/d";
            this.staffWord= "Empleados";
            
            this.playerInfosWord= "Información";
            this.careerWord=  "Trayectoria";
            this.birthdateWord= "Fecha de nacimiento :";
            this.weightWord= "Peso :";
            this.heightWord="Estatura :";
            this.matchesPlayedWord= "Partidos jugados :";
            this.minutesPlayedWord= "Minutos de juego :";
            this.goalsScoredWord= "Goles Marcados :";
            this.assistsWord= "Asistencias :";
            this.watchWord= "Ver";
            this.stats_goals = "GOLES";
            this.stats_shots = "TIROS";
            this.stats_on_target = "TIROS A PUERTA";
            this.stats_saved = "PARADO";
            this.stats_freekick = "TIROS LIBRES";
            this.stats_corner = "SAQUE DE ESQUINA";
            this.stats_penaltykicks = "PENALTIS";
            this.stats_offside = "FUERA DE JUEGO";
            this.stats_yellowcard = "TARJETAS AMARILLAS";
            this.stats_redcard = "TARJETAS ROJAS";
            this.stats_substitution = "SUSTITUCIONES";
            this.stats_shooting_title = "Posiciones de tiro";
            this.stats_scoring_title = "Zona de gol";
            this.stats_attendance = "Asistencia";
            
           
            this.stats_shots_wide_of ="Tiros Fuera de los Tres Palos";
            this.stats_shot_wide_of ="Tiro Fuera de los Tres Palos";
            this.stats_shots_on_target = "Tiros a puerta";
            this.stats_shot_on_target = "Tiro a puerta";
            this.ISL_team="Equipo";
            this.ISL_name="Nombre";
            this.ISL_matches_played = "Jugado";
            this.ISL_matches_won = "G";
            this.ISL_matches_drawn = "E";
            this.ISL_matches_lost = "P";
            this.ISL_goals_for_team = "GAF";
            this.ISL_goals_against_team = "GA";
            this.ISL_goal_difference = "GD";
            this.ISL_points = "Pts";
            this.voteWord="Vota";
            this.skipWord="SALTAR";
            this.allVotedMsg="Usted votó por todos los jugadores en este equipo.";
            this.thanksRatingMsg = "¡GRACIAS POR CLASIFICAR!";
            this.ViewRatingBtn = "VER CLASIFICACIONES";
            this.missingPlayerMsg = "FALTAN JUGADORES";
            this.rateRestSquadMsg = "EVALUAR EL RESTO DEL EQUIPO";
            this.topRatedMatchMsg = "CIMA NOMINAL PARA ESTE PARTIDO";
            this.BestPlayerSeasonMsg = "MEJORES JUGADORES DE LA TEMPORADA";
            
            
            this.NotifiMsg= "Receive notifications for:";
            this.topNewsMsg="Top News";
            this.matchesWord="Matches";
            this.highlightsWord="Highlights";
            this.goalsOnlyWord="Goals only";
            this.noneWord= "None";
            this.menuWord= "Menu";

            this.rankingWord= "RANKING";
            this.topScorersWord="SCORERS";
            this.topAssistsWord="ASSISTS" ;
            
            //new
            this.connectionErrorWord= "No internet connection";
            this.unknownPlayerWord  = "unknown player";
            this.livefanzoneMsg = "Match is live. You can vote aftre match finished.";
            this.alreadyVotedMsg = "User had voted all the players of this match";
            this.NoPlayerDataMsg="Server do not have data for this match";
            this.votingEndMsg = "Voting ended for this match";
            this.serverIssueMsg="Server cannot process request at this time, try again later";
            
            this.mvpWord = "FAN FAVOURITE";
            this.noPlayersRatingMatchMsg= "No players rating available for this match.";
            this.noPlayersRatingSeasonMsg= "No players rating available for this Season.";
            
            break;
        
        case "fr":
            this.pullToRefreshText= "Tirer pour actualiser...";
            this.loadingWord= "Chargement";
            this.notConnectedWord= "Aucune connexion à Internet. Chargement de données stockées.";
            this.infoNotAvailableWord= "n/a";
            this.back_Word = "Retour";
            this.finishedWord= "Terminé";
            this.matchNotCommentedWord= "Match pas encore commenté";
            this.playerWord= "JOUEUR";
            this.videosWord= "VIDEOS";
            this.goalKeepersWord="Gardiens";
            this.goalKeeperWord="Gardien";
            this.defendersWord="Défenseurs";
            this.defenderWord= "Défenseur";
            this.midfieldsWord= "Milieux";
            this.midfieldWord= "Milieu";
            this.offensesWord= "Attaquants";
            this.offenseWord= "Attaquant";
            this.unknownPositionWord= "Position n/a";
            this.staffWord= "Staff";
            
            this.playerInfosWord= "Information";
            this.careerWord=  "Carrière";
            this.birthdateWord= "Date de naissance :";
            this.weightWord= "Poids :";
            this.heightWord="Taille :";
            this.matchesPlayedWord= "Matches joués :";
            this.minutesPlayedWord= "Minutes jouées :";
            this.goalsScoredWord= "Buts marqués :";
            this.assistsWord= "Passes décisives :";
            this.watchWord= "Regarder";
            this.stats_goals = "BUTS";
            this.stats_shots = "TIRS";
            this.stats_on_target = "TIRS CADRES";
            this.stats_saved = "ARRETS";
            this.stats_freekick = "COUP FRANC";
            this.stats_corner = "CORNER";
            this.stats_penaltykicks = "PENALTYS";
            this.stats_offside = "HORS-JEU";
            this.stats_yellowcard = "CARTON JAUNE";
            this.stats_redcard = "CARTON ROUGE";
            this.stats_substitution = "CHANGEMENT";
            this.stats_shooting_title = "Positions des tirs";
            this.stats_scoring_title = "Zone de buts";
            this.stats_attendance = "Affluence";
            
            
            this.stats_shots_wide_of ="Tirs non-cadrés";
            this.stats_shot_wide_of ="Tir non-cadré";
            this.stats_shots_on_target = "Tirs cadrés";
            this.stats_shot_on_target = "Tir cadré";
            this.ISL_team="Equipe";
            this.ISL_name="Nom";
            this.ISL_matches_played = "Joué";
            this.ISL_matches_won = "G";
            this.ISL_matches_drawn = "N";
            this.ISL_matches_lost = "P";
            this.ISL_goals_for_team = "BP";
            this.ISL_goals_against_team = "BC";
            this.ISL_goal_difference = "DB";
            this.ISL_points = "Pts";
            this.voteWord="Vote";
            this.skipWord="PASSER";
            this.allVotedMsg="Vous avez voté pour tous les joueurs de cette équipe";
            this.thanksRatingMsg = "MERCI DE VOTRE EVALUATION";
            this.ViewRatingBtn = "VOIR LES NOTES";
            this.missingPlayerMsg = "JOUEURS MANQUANTS?";
            this.rateRestSquadMsg = "NOTER LE RESTE DE L'EQUIPE";
            this.topRatedMatchMsg = "TOP RATED FOR THIS MATCH";
            this.BestPlayerSeasonMsg = "MEILLEURS JOUEURS DE LA SAISON";
            
            
            this.NotifiMsg= "Receive notifications for:";
            this.topNewsMsg="Top News";
            this.matchesWord="Matches";
            this.highlightsWord="Highlights";
            this.goalsOnlyWord="Goals only";
            this.noneWord= "None";
            this.menuWord= "Menu";

            this.rankingWord= "RANKING";
            this.topScorersWord="SCORERS";
            this.topAssistsWord="ASSISTS" ;
            
            //new
            this.connectionErrorWord= "No internet connection";
            this.unknownPlayerWord  = "unknown player";
            this.livefanzoneMsg = "Match is live. You can vote aftre match finished.";
            this.alreadyVotedMsg = "User had voted all the players of this match";
            this.NoPlayerDataMsg="Server do not have data for this match";
            this.votingEndMsg = "Voting ended for this match";
            this.serverIssueMsg="Server cannot process request at this time, try again later";
            
            this.mvpWord = "FAN FAVOURITE";
            this.noPlayersRatingMatchMsg= "No players rating available for this match.";
            this.noPlayersRatingSeasonMsg= "No players rating available for this Season.";
            
            break;
        
        case "pt":
            this.pullToRefreshText= "Puxe para atualizar...";
            this.loadingWord= "Carregando";
            this.notConnectedWord= "Sem conexão de internet. Carregando partir de dados armazenados.";
            this.infoNotAvailableWord= "n/d";
            this.back_Word = "Voltar";
            this.finishedWord= "Terminado";
            this.matchNotCommentedWord= "Match não comentou ainda";
            this.playerWord= "JOGADOR";
            this.videosWord= "VIDEOS";
            this.goalKeepersWord="Guardas-redes";
            this.goalKeeperWord="Guarda-redes";
            this.defendersWord="Defesas";
            this.defenderWord= "Defesa";
            this.midfieldsWord= "Meios-campistas";
            this.midfieldWord= "Meio-campistas";
            this.offensesWord= "Avançados";
            this.offenseWord= "Avançado";
            this.unknownPositionWord= "Posição n/d";
            this.staffWord= "Pessoal";
            
            this.playerInfosWord= "Informação";
            this.careerWord=  "Carreira";
            this.birthdateWord= "Data De Nascimento :";
            this.weightWord= "Peso :";
            this.heightWord="Altura :";
            this.matchesPlayedWord= "Partidas jogadas :";
            this.minutesPlayedWord= "Minutos Jogados :";
            this.goalsScoredWord= "Golos Marcados :";
            this.assistsWord= "Passes decisivos :";
            this.watchWord= "VEJA";
            this.stats_goals = "GOLOS";
            this.stats_shots = "REMATES";
            this.stats_on_target = "REMATES NO ALVO";
            this.stats_saved = "DEFENDIDO";
            this.stats_freekick = "PONTAPE DE LIVRE";
            this.stats_corner = "CANTO";
            this.stats_penaltykicks = "PONTAPES DE PENALTI";
            this.stats_offside = "FORA-DE-JOGO";
            this.stats_yellowcard = "CARTAO AMARELO";
            this.stats_redcard = "CARTAO VERMELHO";
            this.stats_substitution = "SUBSTITUICAO";
            this.stats_shooting_title = "Posições de Remate";
            this.stats_scoring_title = "Zona de golo";
            this.stats_attendance = "Afluência";
            
            
            this.stats_shots_wide_of ="Remates fora da baliza";
            this.stats_shot_wide_of ="Remate fora da baliza";
            this.stats_shots_on_target = "Remates no alvo";
            this.stats_shot_on_target = "Remate no alvo";
            this.ISL_team="Equipe";
            this.ISL_name="Nome";
            this.ISL_matches_played = "Jogadas";
            this.ISL_matches_won = "V";
            this.ISL_matches_drawn = "E";
            this.ISL_matches_lost = "D";
            this.ISL_goals_for_team = "GP";
            this.ISL_goals_against_team = "GE";
            this.ISL_goal_difference = "DG";
            this.ISL_points = "Pts";
            this.voteWord="Voto";
            this.skipWord="PULAR";
            this.allVotedMsg="Você votou para todos os jogadores nesta equipe.";
            this.thanksRatingMsg = "OBRIGADO POR QUALIFICAR";
            this.ViewRatingBtn = "VEJO CLASSIFICACOES";
            this.missingPlayerMsg = "FALTANDO JOGADORES?";
            this.rateRestSquadMsg = "CLASSIFICAR O RESTO DA EQUIPE";
            this.topRatedMatchMsg = "CLASSIFICACAO MAIS ELEVADA PARA ESTE JOGO";
            this.BestPlayerSeasonMsg = "MELHORES JOGADORES DA TEMPORADA";
            
            
            this.NotifiMsg= "Receive notifications for:";
            this.topNewsMsg="Top News";
            this.matchesWord="Matches";
            this.highlightsWord="Highlights";
            this.goalsOnlyWord="Goals only";
            this.noneWord= "None";
            this.menuWord= "Menu";

            this.rankingWord= "RANKING";
            this.topScorersWord="SCORERS";
            this.topAssistsWord="ASSISTS" ;
            
            //new
            this.connectionErrorWord= "No internet connection";
            this.unknownPlayerWord  = "unknown player";
            this.livefanzoneMsg = "Match is live. You can vote aftre match finished.";
            this.alreadyVotedMsg = "User had voted all the players of this match";
            this.NoPlayerDataMsg="Server do not have data for this match";
            this.votingEndMsg = "Voting ended for this match";
            this.serverIssueMsg="Server cannot process request at this time, try again later";
            
            this.mvpWord = "FAN FAVOURITE";
            this.noPlayersRatingMatchMsg= "No players rating available for this match.";
            this.noPlayersRatingSeasonMsg= "No players rating available for this Season.";
            
            break;
        
        case "it":
            this.pullToRefreshText= "Tirare per aggiornare...";
            this.loadingWord= "Caricamento";
            this.notConnectedWord= "Nessuna connessione a internet. Caricamento dai dati memorizzati.";
            this.infoNotAvailableWord= "n/d";
            this.back_Word = "Indietro";
            this.finishedWord= "Finita";
            this.matchNotCommentedWord= "Partita non ancora commentato";
            this.playerWord= "GIOCATORE";
            this.videosWord= "VIDEO";
            this.goalKeepersWord="Portieri";
            this.goalKeeperWord="Portiere";
            this.defendersWord="Difensori";
            this.defenderWord= "Difensore";
            this.midfieldsWord= "Centrocampisti";
            this.midfieldWord= "Centrocampiste";
            this.offensesWord= "Attaccanti";
            this.offenseWord= "Attaccante";
            this.unknownPositionWord= "Posizione n/d";
            this.staffWord= "Staff";
            
            this.playerInfosWord= "Informazioni";
            this.careerWord=  "Carriera";
            this.birthdateWord= "Data Di Nascita :";
            this.weightWord= "Peso :";
            this.heightWord="Altezza :";
            this.matchesPlayedWord= "Partite giocate :";
            this.minutesPlayedWord= "Minuti Giocati :";
            this.goalsScoredWord= "Gol Segnati :";
            this.assistsWord= "Assist :";
            this.watchWord= "Guardi";
            this.stats_goals = "GOL";
            this.stats_shots = "TIRI";
            this.stats_on_target = "TIRI IN PORTA";
            this.stats_saved = "PARATA";
            this.stats_freekick = "PUNZIONE";
            this.stats_corner = "CALCIO D'ANGOLO";
            this.stats_penaltykicks = "CALCI DI RIGORE";
            this.stats_offside = "FUORIGIOCO";
            this.stats_yellowcard = "CARTELLINO GIALLO";
            this.stats_redcard = "CARTELLINO ROSSO";
            this.stats_substitution = "SOSTITUZIONE";
            this.stats_shooting_title = "Posizioni di tiro";
            this.stats_scoring_title = "Zona di Punteggio";
            this.stats_attendance = "Partecipazione";
            
            this.stats_shots_wide_of ="Tiri fuori";
            this.stats_shot_wide_of ="Tire fuori";
            this.stats_shots_on_target = "Tiri in porta";
            this.stats_shot_on_target = "Tire in porta";
            this.ISL_team="Squadra";
            this.ISL_name="Nome";
            this.ISL_matches_played = "Giocate";
            this.ISL_matches_won = "V";
            this.ISL_matches_drawn = "N";
            this.ISL_matches_lost = "P";
            this.ISL_goals_for_team = "GR";
            this.ISL_goals_against_team = "GS";
            this.ISL_goal_difference = "DR";
            this.ISL_points = "Pts";
            this.voteWord="Voto";
            this.skipWord="SALTARE";
            this.allVotedMsg="Hai votato per tutti i giocatori di questa squadra.";
            this.thanksRatingMsg = "GRAZIE PER IL VOTO!";
            this.ViewRatingBtn = "VEDI NOTE";
            this.missingPlayerMsg = "GIOCATORI MANCANTI?";
            this.rateRestSquadMsg = "NOTARE IL RESTO DELLA SQUADRA";
            this.topRatedMatchMsg = "PIU VOTATI PER QUESTA PARTITA";
            this.BestPlayerSeasonMsg = "MIGLIORI GIOCATORI DELLA STAGIONE";
            
            
            this.NotifiMsg= "Receive notifications for:";
            this.topNewsMsg="Top News";
            this.matchesWord="Matches";
            this.highlightsWord="Highlights";
            this.goalsOnlyWord="Goals only";
            this.noneWord= "None";
            this.menuWord= "Menu";

            this.rankingWord= "RANKING";
            this.topScorersWord="SCORERS";
            this.topAssistsWord="ASSISTS" ;
            
            //new
            this.connectionErrorWord= "No internet connection";
            this.unknownPlayerWord  = "unknown player";
            this.livefanzoneMsg = "Match is live. You can vote aftre match finished.";
            this.alreadyVotedMsg = "User had voted all the players of this match";
            this.NoPlayerDataMsg="Server do not have data for this match";
            this.votingEndMsg = "Voting ended for this match";
            this.serverIssueMsg="Server cannot process request at this time, try again later";
            
            this.mvpWord = "FAN FAVOURITE";
            this.noPlayersRatingMatchMsg= "No players rating available for this match.";
            this.noPlayersRatingSeasonMsg= "No players rating available for this Season.";
            
            break;
        
    }
}
var language=new Language(lang);

function setLanguage(){
	console.log(language);
 pullToRefreshText= language.pullToRefreshText;

 loadingWord= language.loadingWord;
 notConnectedWord= language.notConnectedWord;
 infoNotAvailableWord= language.infoNotAvailableWord;
 back_Word = language.back_Word;
 finishedWord= language.finishedWord;

 matchNotCommentedWord= language.matchNotCommentedWord;
 playerWord= language.playerWord;
 videosWord= language.videosWord;

 goalKeepersWord= language.goalKeepersWord;
 goalKeeperWord= language.goalKeeper;
 defendersWord= language.defendersWord;
 defenderWord= language.defenderWord;
 midfieldsWord= language.midfieldsWord;
 midfieldWord= language.midfieldWord;
 offensesWord= language.offensesWord;
 offenseWord= language.offenseWord;
 unknownPositionWord= language.unknownPositionWord;
 staffWord= language.staffWord;

 playerInfosWord= language.playerInfosWord;
 careerWord=  language.careerWord;
 birthdateWord= language.birthdateWord;
 weightWord= language.weightWord;
 heightWord= language.heightWord;
 matchesPlayedWord= language.matchesPlayedWord;
 minutesPlayedWord= language.minutesPlayedWord;
 goalsScoredWord= language.goalsScoredWord;
 assistsWord= language.assistsWord;

 watchWord= language.watchWord;

 stats_goals = language.stats_goals;
 stats_goal = language.stats_goal;
 stats_shots = language.stats_shots;
 stats_on_target = language.stats_on_target;
 stats_saved = language.stats_saved;
 stats_freekick = language.stats_freekick;
 stats_corner = language.stats_corner;
 stats_penaltykicks = language.stats_penaltykicks;
 stats_offside = language.stats_offside;
 stats_yellowcard = language.stats_yellowcard;
 stats_redcard = language.stats_redcard;
 stats_substitution = language.stats_substitution;
 stats_shooting_title = language.stats_shooting_title;
 stats_scoring_title = language.stats_scoring_title;
 stats_attendance = language.stats_attendance;
 stats_shots_wide_of =language.stats_shots_wide_of;
 stats_shot_wide_of =language.stats_shot_wide_of;
 stats_shots_on_target=language.stats_shots_on_target;
 stats_shot_on_target=language.stats_shot_on_target;

 ISL_team = language.ISL_team;
 ISL_name = language.ISL_name;
 ISL_matches_played = language.ISL_matches_played;
 ISL_matches_won = language.ISL_matches_won;
 ISL_matches_drawn = language.ISL_matches_drawn;
 ISL_matches_lost = language.ISL_matches_lost;
 ISL_goals_for_team = language.ISL_goals_for_team;
 ISL_goals_against_team = language.ISL_goals_against_team;
 ISL_goal_difference = language.ISL_goal_difference;
 ISL_points = language.ISL_points;


 voteWord=language.voteWord;
 skipWord=language.skipWord;
 allVotedMsg=language.allVotedMsg;
 thanksRatingMsg = language.thanksRatingMsg;
 ViewRatingBtn = language.ViewRatingBtn;
 missingPlayerMsg = language.missingPlayerMsg;
 rateRestSquadMsg = language.rateRestSquadMsg;
 topRatedMatchMsg = language.topRatedMatchMsg;
 BestPlayerSeasonMsg = language.BestPlayerSeasonMsg;

 NotifiMsg = language.NotifiMsg;
 topNewsMsg = language.topNewsMsg;
 matchesWord= language.matchesWord;
 highlightsWord =language.highlightsWord;
 goalsOnlyWord = language.goalsOnlyWord;
 noneWord=language.noneWord;
 menuWord = language.menuWord;
 connectionErrorWord=language.connectionErrorWord;
 rankingWord = language.rankingWord;
 topScorersWord = language.topScorersWord;
 topAssistsWord = language.topAssistsWord;
 unknownPlayerWord = language.unknownPlayerWord;
 livefanzoneMsg = language.livefanzoneMsg;
 alreadyVotedMsg = language.alreadyVotedMsg;
 NoPlayerDataMsg=language.NoPlayerDataMsg;
 votingEndMsg = language.votingEndMsg;
 serverIssueMsg=language.serverIssueMsg;
 mvpWord= language.mvpWord;
 noPlayersRatingMatchMsg = language.noPlayersRatingMatchMsg;
 noPlayersRatingSeasonMsg = language.noPlayersRatingSeasonMsg;
 vsWord = language.vsWord;
 ratePlayersWord= language.ratePlayersWord;
 topRatedForWord= language.topRatedForWord;
 playersWord=language.playersWord;
 ratingWord = language.ratingWord;
 mostValuablePlayer= language.mostValuablePlayer;
 votesWord = language.votesWord;
 selectATeamToWord= language.selectATeamToWord;
 sharenewsword=language.sharenewsword;
}

setLanguage();